<script lang="ts">
import Vue from 'vue';
import { UseLocalizedVideoSubtitles } from '~/mixins';

export default Vue.extend({
  name: 'TeamOpsVideoSpotlight',
  mixins: [UseLocalizedVideoSubtitles],

  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>
<template>
  <section class="team-ops-video-spotlight">
    <div>
      <SlpContainer>
        <div
          class="team-ops-video-spotlight__title"
          :data-aos="data.aos_animation"
          :data-aos-duration="data.aos_duration"
          :data-aos-offset="data.aos_offset"
        >
          <SlpTypography tag="h2" variant="heading2-bold">
            {{ data.title }}
          </SlpTypography>
        </div>
        <SlpRow>
          <SlpColumn :cols="5" size="lg" class="team-ops-video-spotlight__col">
            <div
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
            >
              <SlpTypography tag="p" variant="heading5-bold">
                {{ data.subtitle }}
              </SlpTypography>
              <SlpTypography tag="div" variant="body1" class="slp-pt-24">
                <div
                  class="team-ops-video-spotlight__description"
                  v-html="$md.render(data.description)"
                ></div>
              </SlpTypography>
              <SlpButton
                :href="data.button.href"
                variant="secondary"
                :data-ga-name="data.button.data_ga_name"
                :data-ga-location="data.button.data_ga_location"
                class="slp-mt-24"
              >
                {{ data.button.text }}
              </SlpButton>
            </div>
          </SlpColumn>
          <SlpColumn :cols="1"> </SlpColumn>
          <SlpColumn :cols="6" class="team-ops-video-spotlight__col" size="lg">
            <div
              class="team-ops-video-spotlight__video"
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
            >
              <iframe
                title="Vimeo video player"
                :src="createVideoSource(data.video.url)"
                frameborder="0"
                allow="autoplay; fullscreen; picture-in-picture"
                allowfullscreen
              ></iframe>
            </div>
          </SlpColumn>
        </SlpRow>
      </SlpContainer>
    </div>
  </section>
</template>

<style lang="scss" scoped>
@import 'assets/css/animations';
.team-ops-video-spotlight {
  background: #6d33cc;
  color: $color-primary-300;
  padding: $spacing-48 0;

  &__title {
    padding-bottom: $spacing-48;
    @media (min-width: $breakpoint-md) {
      padding-bottom: $spacing-64;
    }
  }

  &__col {
    @media (max-width: $breakpoint-lg) {
      flex: 1 1 100%;
      width: 100%;
    }
  }

  @media (min-width: $breakpoint-md) {
    padding: $spacing-96 0;
  }

  &__video {
    background: $color-primary-300;
    border-radius: $spacing-8;
    margin-top: $spacing-48;
    width: 100%;
    position: relative;
    padding-bottom: 56%;
    overflow: hidden;
    line-height: 0;
    @media (min-width: $breakpoint-lg) {
      margin-top: 0;
      padding-bottom: 57.5%;
    }
    iframe {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border: none;
    }
  }

  &__description {
    &:deep p {
      margin: $spacing-16 0;
    }
  }
}
</style>
